Subject: RE: [rddp] draft-stewart-rddp-sctp-00.txt

From: [email-masked]
Date: Sun, 10 Nov 2002 19:10:31 -0500

Having asked Randy to keep this draft alive for rddp, I'll
try to help out with some of the questions:

>   It mentions two indication types, RDMA+DDP, and RDMA only.
>   Should the latter be DDP only?  I thought RDMA
>   required DDP, but DDP was usable without RDMA.

Yes - it didn't seem worth revising the draft just to fix
this typo/thinko.

>   It mentions the use of unordered delivery, but is not
>   clear on by which layer and by what mechanism it is
>   decided whether to use ordered or unordered delivery.
>   I would suggest that this document might be the right
>   place to fully define that since this concept is 
>   SCTP specific.

SCTP use of ordered vs. unordered delivery is controlled by
the ULP sender above SCTP - see Section 10.1 E) of RFC 2960.
There is an argument to be made for DDP over SCTP always
using unordered delivery as it results in an absolutely
clean explanation of unordered placement ...
> 
>   If SCTP ordered delivery is used, is it acceptable
>   for the DDP layer to do out of order placement?
>   If not, should the DDP layer always use unordered
>   delivery?  My guess is that the best answers are
>   no and yes respectively.  However, it would greatly
>   facilitate discussion of these issues if the 
>   draft were more explicit here. 

I believe the answers are "yes" and "yes" in that I would
separate placement (involves use of an application buffer
that has been implicitly "loaned" to the transport) from
delivery (involves passing off the data from transport to
ULP), but use of unordered delivery completely avoids this
topic.

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953 **NEW**     FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------
_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp